Subject: [mpls] [Technical Errata Reported] RFC3031 (5643)

From: RFC Errata System <[email-masked]>
Date: Sun, 24 Feb 2019 17:23:11 -0800 (PST)

The following errata report has been submitted for RFC3031,
"Multiprotocol Label Switching Architecture".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5643

--------------------------------------
Type: Technical
Reported by: Mark Smith <[email-masked]>

Section: Terminology

Original Text
-------------
<missing>

Corrected Text
--------------
label edge router - a router capable of accepting an unlabelled packet,
and through MPLS processing, may MPLS encapsulate the packet by adding
 a label stack. 

Notes
-----
I am doing some MPLS review.

The book I'm using said an LER was an (RFC3031) MPLS edge node. I believed it was any router that could take unlabelled packets and label them, regardless of where the router was within the MPLS domain. (In other words, an MPLS router was not an LER if it would not MPLS label unlabelled packets and forward them.)

I decided to check RFC3031 for a definition, and discovered there isn't a definition at all for "label edge router", or a match on any text that matches "label edge" or "LER".

RFC6178 clarifies LER processing of IPv4 packets, and the general description of processing matches my understanding of what an LER is. 

However, it doesn't formally define an "label edge router" either, and I think an update to RFC3031 should be where "label edge router" is formally defined.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3031 (draft-ietf-mpls-arch-06)
--------------------------------------
Title               : Multiprotocol Label Switching Architecture
Publication Date    : January 2001
Author(s)           : E. Rosen, A. Viswanathan, R. Callon
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 25 Feb 2019 10:36:28 -0500

The submitter does make a good point, LER should probably be defined in the
MPLS architecture. I just did a search and the earliest mention of "Label
Edge Router" that I could find is in RFC 3811.

That said, I think I prefer the definition text from RFC 4221:

   An LER is an LSR placed at the edge of an MPLS domain, and it passes
   traffic into and out of the MPLS domain.  An ingress LER is
   responsible for classifying data and assigning it to a suitable LSP
   or tunnel.

   This classification is done using Forwarding Equivalence Classes
   (FECs) that define the common attributes of data (usually packets)
   that will be treated in the same way.  Once data has been classified,
   it can be handed off to an LSP or tunnel through the Next Hop Label
   Forwarding Entry (NHLFE).

Cheers,
Andy

On Sun, Feb 24, 2019 at 8:23 PM RFC Errata System <[email-masked]>
wrote:

> The book I'm using said an LER was an (RFC3031) MPLS edge node. I believed
> it was any router that could take unlabelled packets and label them,
> regardless of where the router was within the MPLS domain. (In other words,
> an MPLS router was not an LER if it would not MPLS label unlabelled packets
> and forward them.)
>
> I decided to check RFC3031 for a definition, and discovered there isn't a
> definition at all for "label edge router", or a match on any text that
> matches "label edge" or "LER".
>
> RFC6178 clarifies LER processing of IPv4 packets, and the general
> description of processing matches my understanding of what an LER is.
>
> However, it doesn't formally define an "label edge router" either, and I
> think an update to RFC3031 should be where "label edge router" is formally
> defined.
>
> Instructions:
> -------------
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 25 Feb 2019 17:55:49 -0000

3031 does define “MPLS edge node”, “MPLS egress node”, and “MPLS ingress node”. Of course, it also defines “LSR”.

As Andy says, the first mention of LER is in 3811 and it looks like the terminology was produced to solidify the definitions in 3031.

I don’t think it is an “error” in 3031 that it doesn’t define LER. Sure, it would be nice to have all the definitions in one place, but adding stuff to documents isn’t what Errata Reports are supposed to be for.

Adrian

From: mpls <[email-masked]> On Behalf Of Andrew G. Malis
Sent: 25 February 2019 15:36
To: RFC Errata System <[email-masked]>
Cc: mpls <[email-masked]>; [email-masked]; [email-masked]; Ross Callon <[email-masked]>; [email-masked]
Subject: Re: [mpls] [Technical Errata Reported] RFC3031 (5643)

The submitter does make a good point, LER should probably be defined in the MPLS architecture. I just did a search and the earliest mention of "Label Edge Router" that I could find is in RFC 3811. 

 

Cheers,

Andy

On Sun, Feb 24, 2019 at 8:23 PM RFC Errata System <[email-masked] <mailto:[email-masked]> > wrote:

--------------------------------------
Type: Technical
Reported by: Mark Smith <[email-masked] <mailto:[email-masked]> >

Section: Terminology

Original Text
-------------
<missing>

Corrected Text
--------------

Notes
-----

Instructions:
-------------

_______________________________________________
mpls mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 25 Feb 2019 18:41:16 +0000

Precisely, I was going to say the same thing but I’m sure Adrian said it better.
Acee

From: mpls <[email-masked]> on behalf of Adrian Farrel <[email-masked]>
Organization: Old Dog Consulting
Reply-To: Adrian Farrel <[email-masked]>
Date: Monday, February 25, 2019 at 12:56 PM
To: "'Andrew G. Malis'" <[email-masked]>, 'RFC Errata System' <[email-masked]>
Cc: Ross Callon <[email-masked]>, 'mpls' <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [mpls] [Technical Errata Reported] RFC3031 (5643)

Adrian

   or tunnel.

On Sun, Feb 24, 2019 at 8:23 PM RFC Errata System <[email-masked]<mailto:[email-masked]>> wrote:
The following errata report has been submitted for RFC3031,
"Multiprotocol Label Switching Architecture".

--------------------------------------
Type: Technical
Reported by: Mark Smith <[email-masked]<mailto:[email-masked]>>

Section: Terminology

Original Text
-------------
<missing>

Corrected Text
--------------

Notes
-----

Instructions:
-------------

_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls